phpMyAdmin

от Уикипедия, свободната енциклопедия
Направо към: навигация, търсене


phpMyAdmin е уеб базиран инструмент за администрация на MySQL. Написан е на PHP.

С негова помощ могат да се извършват следните действия: създаване и изтриване на база данни, създаване/изтриване/променяне на таблици, добавяне/изтриване и редактиране на полета, изпълнение на SQL код и менажиране на ключове (keys).


Статус в момента[редактиране | edit source]

Текущата версия на phpMyAdmin е 3.5.4 (16 ноември, 2012 г.). Преведен е в различна степен на 54 езика, между които и български. Главните разработчици на The phpMyAdmin Project са Olivier Müller, Marc Delisle, Alexander M. Turek, Michal Čihař и Garvin Hicking.

Подобни проекти[редактиране | edit source]


По-важни версии[редактиране | edit source]

  • 0.9.0 (9 септември 1998 г.): Първа публична версия
  • 1.0.1 (26 октомври 1998 г.)
  • 1.2.0 (29 ноември 1998 г.)
  • 1.3.1 (27 декември 1998 г.): Първа многоезична версия
  • 2.1.0 (8 юни 2000 г.): Последна версия от първоначалния разработчик Тобиас Ратшилер.
  • 2.2.0 (31 август 2001 г.): Първа стабилна версия от The phpMyAdmin Project.
  • 2.3.0 (8 ноември 2001 г.): Показване на базите данни и таблиците, разделено в малки секции.
  • 2.5.0 (5 ноември 2003 г.): Въведение в MIME-базирана трансформационна система.
  • 2.6.0 (27 септември 2004 г.): Подобрение на кодирането и поддръжката на MySQL 4.1
  • 2.7.0 (4 декември 2005 г.): Подобрения в способността за внасяне, опростено конфигуриране, изчистен потребителски интерфейс и мн. др.
  • 2.8.0 (6 март 2006 г.): Подобрения: скриване на базите данни, възможност за конфигуриране на ограничението на използваната памет, УЕБ базиран инсталатор.
  • 2.9.0 (20 септември 2006 г.)
  • 2.9.1 (9 ноември 2006 г.): оправени са няколко проблема със сигурността и грешки.
  • 2.10.0 (28 февруари 2007 г.): подобрена графична среда, оптимизация за сървъри с множество бази данни
  • 2.11.0 (22 август 2007 г.): създаване на VIEW-та от резултат от заявка и управление на тригери, процедури и функции. Последната версия поддържаща PHP4.
  • 3.0.0 (27 септември, 2008 г.) : Изисква PHP 5.2+ и MySQL 5.0+. Поддръжка на Maria и PBXT.
  • 3.1.0 (28 ноември, 2008 г.) : Нов инсталационен механизъм. Поддръжка на BLOBstreaming и Swekey hardware authentication
  • 3.2.0 (15 юни, 2009 г.)

Външни препратки[редактиране | edit source]